%define sname	ip4r

Summary:	IPv4 and IPv4 range index types for PostgreSQL
Name:		postgresql-%{sname}
Version:	1.05
Release:	10.10
License:	BSD
Group:		Applications/Databases
Source0:	http://pgfoundry.org/frs/download.php/1581/%{sname}-%{version}.tar.gz
URL:		http://pgfoundry.org/projects/ip4r
BuildRequires:	postgresql-devel >= 8.1
Requires:	postgresql-server >= 8.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ip4 and ip4r are types that contain a single IPv4 address and a range of 
IPv4 addresses respectively. They can be used as a more flexible, 
indexable version of the cidr type.

%prep
%setup -q -n %{sname}-%{version}

%build
make USE_PGXS=1 %{?_smp_mflags} 
sed -i 's,\$libdir,%{_libdir}/pgsql,g' %{sname}.sql

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/pgsql/
install -d %{buildroot}%{_datadir}/%{name}
install -m 755 %{sname}.so %{buildroot}%{_libdir}/pgsql/%{sname}.so
install -p -m 755 %{sname}.sql %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc README.ip4r
%{_datadir}/%{name}
%{_datadir}/%{name}/%{sname}*.sql
%dir %{_libdir}/pgsql
%{_libdir}/pgsql/%{sname}.so

%changelog
* Wed Sep 29 2010 cs@linux-administrator.com
- update to 1.05
* Fri Jul  3 2009 poeml@suse.de
- update to 1.04:
  Updates for 8.4. Minor changes for 8.4 GiST indexing.
* Tue Apr 28 2009 poeml@novell.com
- own the /usr/lib*/pgsql directory
- remove unneeded (and non-working) directives to install the README to the
  documentation directory
* Wed Dec 10 2008 poeml@suse.de
- increase release number, so that the package supersedes the one
  that I previously built in my home:poeml project (being in
  server:database:postgresql now)
* Wed Aug 27 2008 poeml@suse.de
- fix libdir path in the sql file (which was inserted as verbatim
  '$libdir')
* Wed Aug 27 2008 poeml@suse.de
- create package (version 1.03)
